{% extends "dashboard/dashboard_content.html" %}


{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-user"></i>
                Onduty allowance
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <ul class="nav nav-tabs bar_tabs">
                    {% for batch in batches %}
                        {% if batch.batch_obj == selected_batch_obj %}
                            <li class="active">
                                <a aria-expanded="true"
                                   id={{ batch.batch_obj }}
                                           data-toggle="tab" name="batch_tab">
                                    {{ batch.display_text }}
                                </a>
                            </li>
                        {% else %}
                            <li class="">
                                <a aria-expanded="false"
                                   id={{ batch.batch_obj }}
                                           data-toggle="tab" name="batch_tab">
                                    {{ batch.display_text }}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>
                <br>
                <br>
                <div class="tab-content">
                    {% if overall_result and overall_result.courses_and_faculty_list %}
                        <div class="col-md-offset-10">
                            <button type="button" class="btn btn-primary" id='genrate_pdf'>
                                Generate PDF
                            </button>
                        </div>
                    {% endif %}
                </div>

            </div>
        </div>
    </div>
    </div>
    <form id="dummy_form" method="post">
        {% csrf_token %}
    </form>


    <script type="text/javascript">


        var current_active_batch;
        //For getting CSRF token
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('[name="batch_tab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');
                //alert($('this').textContent);

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'batch'});
                //alert(this.id);
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();
            });
        });

    </script>

{% endblock %}